- [HTTP request](https://docs.cloud.google.com/gemini-enterprise-cx/ai-commerce-search/reference/rest/v2/projects.locations.catalogs.attributesConfig/removeCatalogAttribute.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini-enterprise-cx/ai-commerce-search/reference/rest/v2/projects.locations.catalogs.attributesConfig/removeCatalogAttribute.md.txt#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini-enterprise-cx/ai-commerce-search/reference/rest/v2/projects.locations.catalogs.attributesConfig/removeCatalogAttribute.md.txt#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/gemini-enterprise-cx/ai-commerce-search/reference/rest/v2/projects.locations.catalogs.attributesConfig/removeCatalogAttribute.md.txt#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/gemini-enterprise-cx/ai-commerce-search/reference/rest/v2/projects.locations.catalogs.attributesConfig/removeCatalogAttribute.md.txt#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/gemini-enterprise-cx/ai-commerce-search/reference/rest/v2/projects.locations.catalogs.attributesConfig/removeCatalogAttribute.md.txt#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini-enterprise-cx/ai-commerce-search/reference/rest/v2/projects.locations.catalogs.attributesConfig/removeCatalogAttribute.md.txt#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/gemini-enterprise-cx/ai-commerce-search/reference/rest/v2/projects.locations.catalogs.attributesConfig/removeCatalogAttribute.md.txt#try-it)

Removes the specified `CatalogAttribute` from the `AttributesConfig`.

If the `CatalogAttribute` to remove does not exist, a NOT_FOUND error is returned.

### HTTP request

`POST https://retail.googleapis.com/v2/{attributesConfig=projects/*/locations/*/catalogs/*/attributesConfig}:removeCatalogAttribute`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `attributesConfig` | `string` Required. Full AttributesConfig resource name. Format: `projects/{projectNumber}/locations/{locationId}/catalogs/{catalogId}/attributesConfig` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "key": string } ``` |

| Fields ||
|---|---|
| `key` | `string` Required. The attribute name key of the `CatalogAttribute` to remove. |

### Response body

If successful, the response body contains an instance of `AttributesConfig`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `attributesConfig` resource:

- `retail.attributesConfigs.removeCatalogAttribute`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).